# Communications_Update

Update an existing record.

`PUT /v1/companies/{company}/Communications/{identifier}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Communications
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Communications/Communications_Update/

## Description

Update an existing TTE configuration, communication, job, or onboarding record for a company based on its `tteId`, `communicationId`, `jobId`, or `onboardingId`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `identifier` | string | path | Yes | The TTE, communication, job, or onboarding ID to update. |

## Request Body

**Content-Type:** `application/json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

**Content-Type:** `text/json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

**Content-Type:** `application/*+json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.CommunicationModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 409 | Conflict | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

## Example Request

```bash
curl -X PUT "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Communications/{identifier}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyId": "",
  "accountId": "",
  "createdBy": "",
  "createdDate": "2021-04-21T20:09:19.2207167Z.",
  "modifiedBy": "",
  "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
  "communicationId": "00000000-0000-0000-0000-000000000000",
  "communicationName": "SampleCommunication",
  "emailAddresses": "abc@xyz.com; def@zyx.com"
}'
```